#
# spec file for package fsc-megaraid_sas (Version 00.00.03.12)
#
# Copyright (c) 2007 Novell, Inc.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://support.novell.com
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv kernel-source kernel-syms klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           fsc-megaraid_sas
%define driver_version 00.00.03.12
%define kver %(rpm -q --qf '%{VERSION}-%{RELEASE}' kernel-source)
%define arch %_target_cpu
%define install_mod_dir updates 
%define sles_string SLES_10
%define kver_orig 2.6.16.21-0.8
Group:          System/Kernel
Version:        00.00.03.12
Release:        1
License:        GPL
Summary:        megaraid driver for PRIMERGY servers
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  kernel-source kernel-syms
Source0:        megaraid_sas-v00.00.03.12-src.tgz
Source1:        README.FSC
Source2:        fsc-megaraid_sas-files
Patch0:         fsc-megaraid_sas-00.00.03.12-build.diff
Patch1:         fsc-megaraid_sas-00.00.03.12-select_patch.diff
Patch2:         fsc-megaraid_sas-00.00.03.12-version.diff
Patch3:         fsc-megaraid_sas-fsc_buildinfo.diff
%suse_kernel_module_package -f fsc-megaraid_sas-files um debug

%description
This package provides the megaraid driver for PRIMERGY servers
released by Fujitsu Siemens Computers.

%package KMP
Summary:        megaraid driver for PRIMERGY servers
Group:          System/Kernel

%description KMP
This package provides the megaraid driver for PRIMERGY servers
released by Fujitsu Siemens Computers.

%prep
%setup -n megaraid_sas-v00.00.03.12
cp -a %_sourcedir/README.FSC ./README.FSC
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
cp %_sourcedir/Module.supported Module.supported
set -- *
mkdir {source,obj}
mv "$@" source/
mv source/megaraid_sas.c _buildinfo
if [ %{kver} = %{kver_orig} ]; then _kstat=Original; else _kstat=Update; fi
sed '
s|^"FSC Release: .*\\n"$|"FSC Release: 0\\n"|
s|^"FSC Build Date: .*\\n"$|"FSC Build Date: '$(date +%Y/%m/%d-%H:%M)'\\n"|
s|^"FSC Kernel Release: .*\\n"$|"FSC Kernel Release: '$_kstat' SuSE '%{sles_string}' ('%{kver}')\\n"|
' <_buildinfo >source/megaraid_sas.c
rm -f _buildinfo

%build
export EXTRA_CFLAGS='-DVERSION=\"%driver_version\"'
export FSC_DIST=sles10
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	 M=$PWD/obj/$flavor
done

%changelog
* Thu Jun 14 2007 - rbowns@novell.com
- PLDP build request bug #278165
  Fri May 25 2007 Martin Wilck <Martin.Wilck@fujitsu-siemens.com> (00.00.03.12-1)
- First version.
